<?php
/**
 * Theme information page for the admin
 * attached to the Appearance Menu group.
 *
 * @package Longevity
 */

//Add the theme page
add_action('admin_menu', 'longevity_add_theme_info');
function longevity_add_theme_info(){
	$theme_info = add_theme_page( esc_html__('Longevity Info','longevity'), esc_html__('Longevity Info','longevity'), 'manage_options', 'longevity-info.php', 'longevity_info_page' );
    add_action( 'load-' . $theme_info, 'longevity_info_hook_styles' );
}

//Callback
function longevity_info_page() {
?>
	<div class="info-container">
		<h2 class="info-title"><?php esc_html_e('Longevity Info','longevity'); ?></h2>
		<div class="info-block"><div class="dashicons dashicons-book-alt info-icon"></div>
        	<p class="info-text"><a href="http://www.shapedpixels.com/setup-longevity/" target="_blank"><?php esc_html_e('Setup Tutorials','longevity'); ?></a></p></div>
		<div class="info-block"><div class="dashicons dashicons-sos info-icon"></div>
        	<p class="info-text"><a href="https://wordpress.org/support/theme/longevity" target="_blank"><?php esc_html_e('Support','longevity'); ?></a></p></div>
 		<div class="info-block"><div class="dashicons dashicons-testimonial info-icon"></div>
 			<p class="info-text"><a href="https://wordpress.org/support/view/theme-reviews/longevity" target="_blank"><?php esc_html_e('Submit a Testimonial','longevity'); ?></a></p></div>	       
		<div class="info-block"><div class="dashicons dashicons-desktop info-icon"></div>
        	<p class="info-text"><a href="http://demos.shapedpixels.com/longevity" target="_blank"><?php esc_html_e('Theme demo','longevity'); ?></a></p></div>
         <div class="info-block"><div class="dashicons dashicons-smiley info-icon"></div>
        	<p class="info-text"><a href="http://www.shapedpixels.com/longevity-pro" target="_blank"><?php esc_html_e('Opportune Pro Version','longevity'); ?></a></p></div>           
	</div>
<?php
}

//Styles
function longevity_info_hook_styles(){
   	add_action( 'admin_enqueue_scripts', 'longevity_info_page_styles' );
}
function longevity_info_page_styles() {
	wp_enqueue_style( 'longevity-info-style', get_template_directory_uri() . '/css/info-page.css', array(), true );
}